/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.326 Revision 1.482
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.326 2008/03/05 14:04:17 ranger Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.482 2011/02/19 17:44:45 hwoarang Exp $
4
5 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
6 Stable on amd64 wrt bug #355439
7
8 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
9 Stable for HPPA (bug #355439).
10
11*ruby-1.8.7_p334 (19 Feb 2011)
12
13 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
14 Version bump 1.8.7 series, security bug 355439
15
16 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
17 ruby-1.9.2.ebuild:
18 Remove PROVIDE for old-style virtual/ruby per bug 265054.
19
20 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
21 Remove masked ruby 1.8.6 per bug 332597.
22
23 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
24 -ruby-1.9.2_rc2.ebuild:
25 Removing old and vulnerable ebuilds
26
27 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
28 Marking ruby-1.8.7_p302 ppc64 for bug 332957
29
30 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
31 alpha/ia64/s390/sh/sparc stable wrt #332957
32
33*ruby-1.9.2 (24 Aug 2010)
34
35 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
36 metadata.xml:
37 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
38 and x86-fbsd due to a new dependency on rdoc.
39
40 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
41 arm stable, bug #332957
42
43 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
44 ruby-1.8.7_p302.ebuild:
45 x86 stable wrt security bug #332957
46
47 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
48 Stable on amd64 wrt bug #332957
49
50 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
51 Stable for PPC (bug #332957).
52
53 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
54 Stable for HPPA (bug #332957).
55
56*ruby-1.8.7_p302 (21 Aug 2010)
57
58 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
59 +ruby-1.8.7_p302.ebuild:
60 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
61 installation path.
62
63*ruby-1.8.6_p399 (19 Aug 2010)
64
65 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
66 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
67 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
68 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
69 installation path (reported by the x86 team in bug 332597)
70
71*ruby-1.9.2_rc2-r1 (18 Aug 2010)
72
73 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
74 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
75 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
76 the rubygems loading code. Add USE flag for psych.
77
78 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
79 ruby-1.9.2_rc2.ebuild:
80 Remove two keepdir that will try to keep an empty path, closes bug
81 #333163.
82
83 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
84 Marked ~ppc (bug #332593).
85
86 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
87 ruby-1.9.2_rc2.ebuild:
88 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
89
90 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
91 ruby-1.8.7_p299.ebuild:
92 Bump eselect-ruby dependency
93
94 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
95 -ruby-1.9.1_p429.ebuild:
96 Remove ebuild that is not target for unmask anyway.
97
98 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
99 ruby-1.9.2_rc2.ebuild:
100 Try 2 to fix the berkdb 5 issue on 1.9.
101
102 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
103 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
104 ruby-1.9.2_rc2.ebuild:
105 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
106 support for adding new patchsets without bumping the revision for all the
107 old ebuilds as well.
108
109*ruby-1.9.2_rc2 (14 Jul 2010)
110
111 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
112 +ruby-1.9.2_rc2.ebuild:
113 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
114 might cause _further_ build failures as it changed slightly behaviour.
115 You're going to need to rebuild rubygems and then all the packages
116 previously installed after upgrading to this.
117
118 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
119 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
120 -ruby-1.9.1_p376.ebuild:
121 Cleanup old versions.
122
123*ruby-1.9.1_p429 (04 Jul 2010)
124
125 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
126 +ruby-1.9.1_p429.ebuild:
127 Version bump to new 1.9.1 release.
128
129*ruby-1.8.7_p299 (23 Jun 2010)
130
131 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
132 +ruby-1.8.7_p299.ebuild:
133 Version bump.
134
135 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
136 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
137 remove useless comments
138
139 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
140 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
141 ruby-1.9.1_p376.ebuild:
142 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
143 dev.gentoo.org now.
144
145 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
146 ruby-1.9.1_p376.ebuild:
147 Use the correct RUBYLIB.
148
149*ruby-1.8.7_p249-r2 (18 May 2010)
150*ruby-1.8.6_p388-r1 (18 May 2010)
151
152 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
153 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
154 ruby-1.9.1_p376.ebuild, metadata.xml:
155 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
156 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
157 add USE flags for ncurses, readline and libedit, and properly depend on
158 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
159 Emacs versions support ruby-mode themselves and it should be even more
160 updated.
161
162*ruby-1.8.7_p249-r1 (06 May 2010)
163
164 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
165 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
166 309789 by Sune Kloppenborg Jeppesen.
167
168 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
169 ruby-1.8.7_p249.ebuild:
170 Use $PVR instead of $PV in patchset names
171
172 06 May 2010; Alex Legler <a3li@gentoo.org>
173 -files/ruby-1.8.6-memory-leak.diff,
174 -files/ruby18-mkmf-parallel-install.patch,
175 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
176 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
177 Remove old version. Cleanup in files/
178
179*ruby-1.9.1_p376 (01 May 2010)
180
181 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
182 Version bump. Fixes security bugs 296052 and 300468. No longer installs
183 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
184 instead.
185
186 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
187 -ruby-1.8.7_p174-r1.ebuild:
188 Remove vulnerable ebuilds, 300468
189
190 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
191 ruby-1.8.7_p249.ebuild:
192 amd64 stable, security bug 300468
193
194 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
195 ruby-1.8.7_p249.ebuild:
196 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
197
198 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
199 Stable for HPPA (bug #300468).
200
201 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
202 Stable for HPPA (bug #300468).
203
204 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
205 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
206
207 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
208 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
209
210 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
211 ruby-1.8.6_p388.ebuild:
212 stable x86, security bug 300468
213
214 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
215 ruby-1.8.7_p249.ebuild:
216 stable x86, security bug 300468
217
218*ruby-1.8.6_p388 (10 Jan 2010)
219
220 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
221 +ruby-1.8.6_p388.ebuild:
222 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
223 version. The new ebuild also has the fix for bug 168939.
224
225*ruby-1.8.7_p249 (10 Jan 2010)
226
227 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
228 +ruby-1.8.7_p249.ebuild:
229 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
230 version
231
232 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
233 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
234
235*ruby-1.8.7_p248 (25 Dec 2009)
236
237 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
238 Version bump
239
240 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
241 Remove old version.
242
243 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
244 Remove old version.
245
246 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
247 ia64/s390/sh stable wrt #288699
248
249 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
250 stable sparc, bug 288699
251
252 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
253 arm stable, bug #288699
254
255 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
256 amd64/x86 stable, bug #288699
257
258 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
259 ruby-1.8.7_p174-r1.ebuild:
260 Stable on alpha, bug #288699
261
262 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
263 ppc stable #288699
264
265 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
266 Stable for HPPA (bug #288699).
267
268 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
269 Marked ~hppa too.
270
271*ruby-1.8.7_p174-r1 (06 Oct 2009)
272
273 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
274 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
275 eselect-ruby cleanup feature.
276
277*ruby-1.9.1_p243 (09 Sep 2009)
278
279 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
280 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
281 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
282 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
283 -files/ruby19-rubygems-proxy.patch,
284 -files/ruby-1.9.1_p129-parallelmake.patch,
285 -files/ruby19-mkmf-parallel-install.patch:
286 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
287 168939. Cleaning up old patches.
288
289*ruby-1.8.6_p383 (20 Aug 2009)
290
291 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
292 Patchlevel bump.
293
294 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
295 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
296 ruby-1.9.1_p129-r1.ebuild:
297 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
298
299 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
300 Removing vulnerable ebuild, bug 273213.
301
302 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
303 Marking ruby-1.8.6_p369 ppc for bug 273213
304
305 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
306 ruby-1.9.1_p129-r1.ebuild:
307 Prepend our library path instead of overwriting it during src_install.
308 Thanks to the reporter of bug #274824.
309
310*ruby-1.8.7_p174 (18 Jun 2009)
311
312 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
313 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
314 Replacing 187_p173 with _p174 because of a regression. Unifying the
315 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
316 patchsets.
317
318 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
319 Marking ruby-1.8.6_p369 ppc64 for bug 273213
320
321 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
322 arm/ia64/s390/sh/sparc stable wrt #273213
323
324 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
325 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
326 Removing old version, minor cleanup
327
328 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
329 -files/ruby-1.8.6-openssl.patch,
330 -files/ruby-1.8.6-shortname_constants.patch,
331 -files/ruby-1.8.6_p111-r13657.patch,
332 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
333 Removing vulnerable old Ruby version and stale patches, bug 274108.
334
335 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
336 ruby-1.8.6_p369.ebuild:
337 Stable on alpha, bug #273213
338
339 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
340 Stable for HPPA (bug #273213).
341
342 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
343 ruby-1.8.6_p369.ebuild:
344 stable x86, security bug 273213
345
346 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
347 amd64 stable, security bug 273213.
348
349*ruby-1.8.7_p173 (10 Jun 2009)
350*ruby-1.8.6_p369 (10 Jun 2009)
351
352 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
353 +ruby-1.8.7_p173.ebuild:
354 Version bumps for bug #273213.
355
356*ruby-1.9.1_p129-r1 (27 May 2009)
357
358 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
359 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
360 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
361 +files/ruby-1.9.1_p129-parallelmake.patch:
362 Revision bump, add patches 1) to make Ruby behave more similarly between
363 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
364 extensions (undefined symbols in them will cause abort at runtime 3) to
365 remove a concurrency issue when building the dl extension that could
366 result in a broken dl.so.
367
368 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
369 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
370 Don't block rdoc-2 or later (which may enter Portage one day as it's
371 needed by some Rakefiles).
372
373 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
374 ruby-1.9.1_p129.ebuild:
375 Add ~x86-fbsd keyword.
376
377 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
378 keyword ~sparc-fbsd, bug #252315
379
380*ruby-1.9.1_p129 (15 May 2009)
381
382 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
383 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
384 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
385 included in every release.
386
387 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
388 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
389 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
390 ruby-1.8.7_p160.ebuild:
391 Removing vulnerable versions (#268515), fixing license (#233747).
392
393 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
394 Stable for HPPA (bug #268515).
395
396 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
397 Adapting rubygems notice.
398
399 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
400 amd64 stable, bug #268515.
401
402 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
403 arm/ia64/s390/sh/sparc stable wrt #268515
404
405 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
406 ruby-1.8.6_p368.ebuild:
407 stable x86, security bug 268515
408
409 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
410 ruby-1.8.6_p368.ebuild:
411 Stable on alpha, bug #268515
412
413 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
414 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
415
416*ruby-1.8.7_p160 (07 May 2009)
417*ruby-1.8.6_p368 (07 May 2009)
418
419 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
420 +ruby-1.8.7_p160.ebuild:
421 Version bump as per secbug 268515. NB: These are the first ebuilds that
422 no longer use ruby-config.
423
424*ruby-1.9.1-r1 (03 Apr 2009)
425*ruby-1.8.7_p72-r11 (03 Apr 2009)
426*ruby-1.8.6_p287-r13 (03 Apr 2009)
427
428 03 Apr 2009; Alex Legler <a3li@gentoo.org>
429 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
430 +files/ruby18-mkmf-parallel-install.patch,
431 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
432 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
433 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
434 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
435 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
436 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
437 happy.
438
439*ruby-1.9.1 (21 Mar 2009)
440
441 21 Mar 2009; Alex Legler <a3li@gentoo.org>
442 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
443 +ruby-1.9.1.ebuild:
444 Adding Ruby 1.9.1 for preliminary testing
445
446 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
447 ruby-1.8.6_p287-r12.ebuild:
448 Marked ~ppc for bug #252315.
449
450 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
451 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
452 bug 261982.
453
454 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
455 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
456 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
457 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
458 Cleanup
459
460*ruby-1.8.7_p72-r10 (07 Mar 2009)
461
462 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
463 +ruby-1.8.7_p72-r10.ebuild:
464 Add a revision of ruby 1.8.7 using eselect ruby.
465
466 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
467 ~mips keyworded, bug #252315.
468
469 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
470 ruby-1.8.6_p287-r5.ebuild:
471 ppc stable, bug #260006
472
473 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
474 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
475
476 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
477 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
478 Fixing Tk USE flag test, bug 258893.
479
480 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
481 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
482
483 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
484 ruby-1.8.6_p287-r5.ebuild:
485 amd64 stable wrt security bug #260006
486
487 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
488 Stable for HPPA (bug #260006).
489
490 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
491 ruby-1.8.6_p287-r5.ebuild:
492 Stable on alpha, bug #260006
493
494*ruby-1.8.7_p72-r2 (23 Feb 2009)
495*ruby-1.8.6_p287-r12 (23 Feb 2009)
496*ruby-1.8.6_p287-r5 (23 Feb 2009)
497
498 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
499 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
500 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
501 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
502 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
503 now before compilation if Tk useflags don't match) and 230748 (adding
504 --enable-option-checking=no for newer versions of autoconf).
505
506 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
507 arm/ia64/s390/sh/sparc stable wrt #254307
508
509 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
510 ruby-1.8.6_p287-r4.ebuild:
511 Stable on alpha, bug #254307
512
513 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
514 ruby-1.8.6_p287-r11.ebuild:
515 keyword ~x86-fbsd, bug #252315
516
517 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
518 ppc stable #254307
519
520 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
521 amd64/x86 stable, bug #254307
522
523 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
524 stable ppc64, bug 254307
525
526 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
527 Stable for HPPA (bug #254307).
528
529 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
530 ruby-1.8.6_p287-r11.ebuild:
531 Marked ~hppa (bug #252315).
532
533*ruby-1.8.6_p287-r11 (11 Jan 2009)
534
535 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
536 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
537 +ruby-1.8.6_p287-r11.ebuild:
538 Backport conditional definition of missing openssl functions from ruby 1.8.7.
539 Fixes #254307.
540
541 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
542 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
543
544 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
545 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
546
547 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
548 ruby-1.8.6_p287-r10.ebuild:
549 Add ~sparc keyword, bug #252315
550
551*ruby-1.8.6_p287-r10 (23 Dec 2008)
552
553 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
554 +ruby-1.8.6_p287-r10.ebuild:
555 Version bump which switches from ruby-config to eselect-ruby. Dropped most
556 keywords since eselect-ruby does not yet have these keywords.
557
558 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
559 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
560 Revert the ruby-config changes. We can't remove them until we provide an
561 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
562 for breaking things as mentioned in bug #251833.
563
564 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
565 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
566 ruby-1.8.7_p72-r1.ebuild:
567 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
568 Thanks for the people noticing this in bug #251833.
569
570 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
571 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
572 ruby-1.8.7_p72-r1.ebuild:
573 Drop dependency on ruby-config, which will be removed from the tree. We
574 currently only have one major version of ruby in the tree (Ruby 1.8), so there
575 is no need for ruby-config at this moment. For newer versions of Ruby we will
576 use eselect-ruby, which can be found in the ruby overlay at the moment.
577
578 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
579 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
580 Use mirror://ruby in SRC_URI, fixes #237392.
581
582 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
583 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
584 -ruby-1.8.7_p72.ebuild:
585 Remove old versions. Leave one old stable version with cjk support.
586
587*ruby-1.8.6_p287-r3 (29 Nov 2008)
588
589 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
590 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
591 +ruby-1.8.6_p287-r3.ebuild:
592 Fix our expansion limit patch according to debian bug report
593 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
594 make sure people will pick up the fixed version. Thanks to Alex Legler for
595 mentioning the patch.
596
597*ruby-1.8.7_p72-r1 (26 Nov 2008)
598*ruby-1.8.6_p287-r2 (26 Nov 2008)
599
600 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
601 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
602 +ruby-1.8.7_p72-r1.ebuild:
603 Fix problem with shortname constants #247790, already fixed in upstream SVN.
604 Thanks to Alex Legler for providing the patch.
605
606 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
607 -ruby-1.8.6_p287.ebuild:
608 Remove versions that will not become stable
609
610 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
611 ruby-1.8.6_p287-r1.ebuild:
612 ppc stable, bug #225465
613
614 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
615 ruby-1.8.6_p287-r1.ebuild:
616 amd64 stable wrt security bug #225465
617
618 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
619 alpha/ia64/x86 stable wrt #225465
620
621 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
622 ruby-1.8.6_p287-r1.ebuild:
623 Sparc stable --- Security Bug #225465 --- good since late August.
624
625 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
626 Stable on ppc64; bug #225465
627
628 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
629 Stable for HPPA (bug #225465).
630
631*ruby-1.8.6_p287-r1 (29 Aug 2008)
632
633 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
634 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
635 +ruby-1.8.6_p287-r1.ebuild:
636 Fix REXML security issues, bug #236060.
637
638 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
639 Add GLEP 56 USE flag descriptions.
640
641*ruby-1.8.7_p72 (15 Aug 2008)
642
643 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
644 +ruby-1.8.7_p72.ebuild:
645 bump 1.8.7 to latest patch release
646
647*ruby-1.8.6_p287 (11 Aug 2008)
648
649 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
650 Version bump for brown paper bag relelease.
651
652 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
653 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
654 Remove broken version in favor of the just-added 1.8.6_p286
655
656*ruby-1.8.6_p286 (10 Aug 2008)
657
658 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
659 Version bump to latest released version of ruby 1.8.6. This version fixes the
660 security issues reported in #225465 and #234224. The cjk USE flag has been
661 dropped since no compatible patches have been released yet.
662
663 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
664 ruby-1.8.6_p230.ebuild:
665 drop cjk from SRC_URI as well
666
667 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
668 Drop cjk support since the most recent oniguruma patches no longer apply to
669 this version, #230111.
670
671 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
672 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
673 Try to fix the security issues reported in #225465 for ruby 1.8.6.
674 Unfortunately the official p230 has a change which causes segmentation faults
675 for applications like Rails and RSpec, so we are reverting that specific
676 change.
677
678*ruby-1.8.7_p22 (29 Jun 2008)
679
680 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
681 +ruby-1.8.7_p22.ebuild:
682 bump 1.8.7 for security fix
683
684 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
685 nevermind, don't bump this yet
686
687*ruby-1.8.6_p230 (20 Jun 2008)
688
689 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
690 version bump
691
692*ruby-1.8.7 (10 Jun 2008)
693
694 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
695 +ruby-1.8.7.ebuild:
696 bump 1.8.7 to final
697
698*ruby-1.8.7_pre2 (21 Apr 2008)
699
700 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
701 +ruby-1.8.7_pre2.ebuild:
702 Version Bump
703
704*ruby-1.8.7_pre1 (16 Apr 2008)
705
706 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
707 Version bump. Drop cjk until a new version of oniguruma appears.
708
709 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
710 amd64 stable, bug 212264
711
712 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
713 Stable for HPPA (bug #212264).
714
715 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
716 ruby-1.8.6_p114.ebuild:
717 ppc stable, bug #212264
718
719 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
720 alpha/ia64 stable wrt #212264
721
722 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
723 ruby-1.8.6_p114.ebuild:
724 stable x86, security bug 212264
725
726 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
727 Sparc stable, Security Bug #212264, builds and installs, initial tests run
728 as expected.
4 729
5 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild: 730 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
6 Marking ruby-1.8.6_p114 ppc64 for bug 212264 731 Marking ruby-1.8.6_p114 ppc64 for bug 212264
7 732
8*ruby-1.8.6_p114 (05 Mar 2008) 733*ruby-1.8.6_p114 (05 Mar 2008)

Legend:
Removed from v.1.326  
changed lines
  Added in v.1.482

  ViewVC Help
Powered by ViewVC 1.1.20